instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

1. instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

Manuel Manuel
mariocardworld

(usa Ubuntu)

Enviado em 02/09/2018 - 11:12h

apt-get update
W: chmod 0700 of directory /var/lib/apt/lists/partial failed - SetupAPTPartialDirectory (1: Operação não permitida)
E: Não foi possível abrir arquivo de trava /var/lib/apt/lists/lock - open (13: Permissão negada)
E: Impossível criar acesso exclusivo ao directório /var/lib/apt/lists/
W: Problema ao remover o link do ficheiro /var/cache/apt/pkgcache.bin - RemoveCaches (13: Permissão negada)
W: Problema ao remover o link do ficheiro /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Permissão negada)
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock - open (13: Permissão negada)
E: Não foi possível criar acesso exclusivo ao directório de administração (/var/lib/dpkg/), é root?



  


2. Re: instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

Matheus
pylm

(usa Gentoo)

Enviado em 02/09/2018 - 11:22h

Coloca sudo na frente do comando.


3. Re: instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

skjdeecedcnfncvnrfcnrncjvnjrnfvjcnjrjvcjrvcj
Londreslondres

(usa Void Linux)

Enviado em 02/09/2018 - 11:23h

Use o sudo antes de apt-get update

sudo apt-get update 



4. o update funcionou muito obrigado

Manuel Manuel
mariocardworld

(usa Ubuntu)

Enviado em 02/09/2018 - 12:35h

agora o comando git se puderem da mais essa atencao meus amigos.
sudo apt-get install git
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote git não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: O pacote 'git' não tem candidato para instalação
Ubuntu 16.10


5. Re: instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨gi

Matheus
pylm

(usa Gentoo)

Enviado em 02/09/2018 - 12:39h

16.10 tá sem suporte desde junho/17

Sempre use LTS (versões terminadas em .04) pra evitar esse suporte bizarro de 9 meses. As LTS tem 5 anos.


6. Versões antigas não tem suporte da Canonical

Jonathan Matheus Da Silva
JohnLiber

(usa Fedora)

Enviado em 02/09/2018 - 12:46h

Olha lá no site da canonical, só tem o ubuntu 18 como LTS, almenos foi o que eu vi, acredito que essa verção 16 já deixou de receber suporte, e por isso você não esta conseguindo instalar o GIT, cara, gostando ou não, acredito que você terra que mudar para o Ubuntu 18, caso queira usar o git.


7. Re: instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

Matheus
pylm

(usa Gentoo)

Enviado em 02/09/2018 - 12:48h

JohnLiber escreveu:

Olha lá no site da canonical, só tem o ubuntu 18 como LTS, almenos foi o que eu vi, acredito que essa verção 16 já deixou de receber suporte, e por isso você não esta conseguindo instalar o GIT, cara, gostando ou não, acredito que você terra que mudar para o Ubuntu 18, caso queira usar o git.


Ou usar os repos old-release, mas aí é enxugar gelo com guardanapo.


8. Re: instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

Manuel Manuel
mariocardworld

(usa Ubuntu)

Enviado em 02/09/2018 - 19:22h

obrigado



9. Re: instalei uma versao do ubuntu ontem 16 horas da tarde deste entao estou tentanto instalar o ¨git¨ n

skjdeecedcnfncvnrfcnrncjvnjrnfvjcnjrjvcjrvcj
Londreslondres

(usa Void Linux)

Enviado em 02/09/2018 - 19:39h

Versões do Ubuntu que ainda tem suporte:

14.04 - até 2019
16.04 - até 2021
18.04 - até 2023

Evite usar versões não-LTS

Caso você precise de uma versão obsoleta, use os repositórios old-releases, com eles você pode instalar pacotes dos repositórios sem problemas, mas eles vão estar desatualizados e não receberão atualizações: https://www.diolinux.com.br/2014/01/old-releases-mantenha-sua-versao-antiga-do-ubuntu-funcionando.ht...






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts